Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455772 - Python move_unreachable assertion during install
Summary: Python move_unreachable assertion during install
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda
Version: 5.2
Hardware: x86_64
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Anaconda Maintenance Team
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-07-17 17:16 UTC by Eli Collins
Modified: 2008-12-10 19:13 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-12-10 19:13:18 UTC
Target Upstream Version:


Attachments (Terms of Use)
Screen shot of assertion (deleted)
2008-07-17 17:16 UTC, Eli Collins
no flags Details

Description Eli Collins 2008-07-17 17:16:54 UTC
During installation of rhel 5.2 server x86_64 GA in a vm 3 out of 99 installs
got the following error:

python: Modules/gcmodule.c:379: move_unreachable: Assertion `gc->gc.gc_refs > 0`

Screenshot uploaded.  This has been seen with yum:

http://www.centos.org/modules/newbb/viewtopic.php?viewmode=flat&topic_id=1780&forum=27

Comment 1 Eli Collins 2008-07-17 17:16:55 UTC
Created attachment 312065 [details]
Screen shot of assertion

Comment 2 James Antill 2008-07-17 20:59:44 UTC
 I'm going to reassign to anaconda (more because I think those developers will
be more likely to have seen problems like yours, and that the problem is theirs)
... but I'd generally suggest you check media and HW.


Comment 3 James Antill 2008-07-17 21:00:41 UTC
 That should be "than the problem is theirs". In other words I don't think this
is an anaconda bug (or a python one), but the anaconda developers are more
likely to have seen bugs like this and might be able to offer some insight.


Comment 4 Chris Lumens 2008-09-26 20:59:57 UTC
Could we also see tty3 to see what step in anaconda we're at?

Comment 5 Chris Lumens 2008-12-10 19:13:18 UTC
The information we've requested above is required in order to review this problem report further and diagnose or fix the issue if it is still present.  Since it has been thirty days or more since we first requested additional information, we're assuming the problem is either no longer present in the current RHEL release, or that there is no longer any interest in tracking the problem.

Setting status to "CLOSED: INSUFFICIENT_DATA".  If you still experience this problem after updating to our latest RHEL release and can provide the information previously requested, please feel free to reopen the bug report.

In addition, if you test this again to attach the needed information, it's worth testing with the latest snapshot of 5.3 to verify whether it's still broken there.

James - it seems to me that this is neither a bug in yum nor in anaconda, but in a library that yum uses.  Perhaps libxml2 or sqlite (does yum in 5.2 even use sqlite?).

Thank you in advance.


Note You need to log in before you can comment on or make changes to this bug.